org.eclipse.ease.ui.scripts.ui

## Class Decorator

- java.lang.Object
- - org.eclipse.ease.ui.scripts.ui.Decorator

All Implemented Interfaces:
  IEclipsePreferences.IPreferenceChangeListener, IBaseLabelProvider, ILightweightLabelDecorator

    public class Decorator
    extends java.lang.Object
    implements ILightweightLabelDecorator, IEclipsePreferences.IPreferenceChangeListener

### Field Summary

Fields
`static java.lang.String` `SIGN_DECORATOR_ID`

### Constructor Summary

Constructors
Constructor and Description
`Decorator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addListener(ILabelProviderListener listener)`
`void` `decorate(java.lang.Object element, IDecoration decoration)`
`void` `dispose()`
`boolean` `isLabelProperty(java.lang.Object element, java.lang.String property)`
`void` `preferenceChange(IEclipsePreferences.PreferenceChangeEvent event)`
`void` `removeListener(ILabelProviderListener listener)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SIGN_DECORATOR_ID

    public static final java.lang.String SIGN_DECORATOR_ID

See Also:
  Constant Field Values

### Constructor Detail

#### Decorator

    public Decorator()

### Method Detail

#### addListener

    public void addListener(ILabelProviderListener listener)

Specified by:
  `addListener` in interface `IBaseLabelProvider`

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `IBaseLabelProvider`

#### isLabelProperty

    public boolean isLabelProperty(java.lang.Object element,
                                   java.lang.String property)

Specified by:
  `isLabelProperty` in interface `IBaseLabelProvider`

#### removeListener

    public void removeListener(ILabelProviderListener listener)

Specified by:
  `removeListener` in interface `IBaseLabelProvider`

#### decorate

    public void decorate(java.lang.Object element,
                         IDecoration decoration)

Specified by:
  `decorate` in interface `ILightweightLabelDecorator`

#### preferenceChange

    public void preferenceChange(IEclipsePreferences.PreferenceChangeEvent event)

Specified by:
  `preferenceChange` in interface `IEclipsePreferences.IPreferenceChangeListener`